Skip to main content
`Ctrl`+`K`

# DSNEPSetRG

Associates a region object to the `DSNEP` solver.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetRG(DS ds,RG rg)

Collective

## Input Parameters

- ds - the direct solver context

- rg - the region context

## Notes

The region is used only in the contour integral method, and should enclose the wanted eigenvalues.

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPGetRG()`

## Level

developer

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPSetRG_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages